<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class DepartmentRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'department_name'=>'required',
            'department_description' => 'max:200',
        ];
    }

    public function messages()
    {
        return [
            'department_name.required'=>'机构名称不能为空',
            'department_description.max' => '描述不能超过100字！',
        ];
    }
}
